Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Pango::AttrWeight Class Reference

Pango weight C++ wrapper class. More...

`#include <xfc/pango/attributes.hh>`

Inheritance diagram for Xfc::Pango::AttrWeight:

List of all members.

## Public Member Functions

Constructors

- AttrWeight (Weight weight=WEIGHT_NORMAL)
    Construct a new font weight attribute.

Accessors

- Weight weight () const
    Returns the font weight.

Methods

- void set_weight (Weight weight)
    Sets the font weight.

## Detailed Description

Pango weight C++ wrapper class.

AttrWeight wraps the weight attribute (ATTR_WEIGHT).

## Constructor & Destructor Documentation

Xfc::Pango::AttrWeight::AttrWeight | ( | Weight | weight = `WEIGHT_NORMAL` | ) | `[explicit]`

Construct a new font weight attribute.

Parameters:

  | weight | The font weight.

## Member Function Documentation

void Xfc::Pango::AttrWeight::set_weight | ( | Weight | weight | ) |

Sets the font weight.

Parameters:

  | weight | The new font weight.

The documentation for this class was generated from the following file:

- attributes.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3